define([
	"dojo/_base/declare",
	"dojo/when",
	"dojox/mvc/getStateful",
	"dojox/mvc/getPlainValue",
	"dojox/mvc/at",

	"aps/_View",
	"aps/ResourceStore",
	"aps/Memory",

	"dojo/text!./../newvps.json"
], function(
	declare,
	when,
	getStateful,
	getPlainValue,
	at,

	_View,
	Store,
	Memory,

	newVPS
) {
	return declare(_View, {
		init: function() {

			this.model = getStateful({"newVPS": JSON.parse(newVPS)});

			return [["aps/Panel", {id: this.genId("srvNewLast-form1"), title: _("Server")}, [
				["aps/FieldSet", {id: this.genId("srvNewLast_srvInfo")}, [
					["aps/Output", {
						id: this.genId("srvNewLast_srvName"),
						gridSize: 'md-3 xs-12',
						label: "Name",
						value: at(this.model.newVPS, "name")
					}],
					["aps/Output", {
						id: this.genId("srvNewLast_srvDescription"),
						gridSize: 'md-3 xs-12',
						label: "Description",
						value: at(this.model.newVPS, "description")
					}]
				]
				]]],
				["aps/Panel", {id: this.genId("srvNewLast-form2"), title: _("Configuration")}, [
					["aps/FieldSet", {id: this.genId("srvNewLast_srvConfig")}, [
						["aps/Output", {
							id: this.genId("srvNewLast_srvOsName"),
							gridSize: 'md-3 xs-12',
							label: "OS",
							value: at(this.model.newVPS.platform.OS, "name")
						}],
						["aps/Output", {
							id: this.genId("srvNewLast_srvCpuNumber"),
							gridSize: 'md-3 xs-12',
							label: "CPU",
							value: at(this.model.newVPS.hardware.CPU, "number")
						}],
						["aps/Output", {
							id: this.genId("srvNewLast_srvDisk"),
							gridSize: 'md-3 xs-12',
							label: "Disk Space",
							value: at(this.model.newVPS.hardware, "diskspace")
						}],
						["aps/Output", {
							id: this.genId("srvNewLast_srvRam"),
							gridSize: 'md-3 xs-12',
							label: "RAM",
							value: at(this.model.newVPS.hardware, "memory")
						}]
					]]
				]]
			];
		},	// End of Init

		onContext: function() {
			this.model.set("newVPS", aps.context.wizardData["http://aps-standard.org/samples/sample-basic#vps-props"]); // Receive data from the previous step
			aps.apsc.hideLoading();
		},

		onNext: function() {
			aps.apsc.next();
		}
	}); // End of Declare
}); // End of Define
